%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define srcversion 0.2-0~rc7
%define pathversion 0.2rc7

Name:           nssbackup
Version:        0.2
Release:        0.3.rc7%{?dist}
Summary:        (Not so) Simple Backup Suite for desktop use

Group:          Applications/Archiving
License:        GPLv3+
URL:            http://launchpad.net/nssbackup
Source0:        http://launchpad.net/%{name}/%{version}/%{pathversion}/+download/%{name}_%{srcversion}.orig.tar.gz
Patch0:         %{name}-0.2-0~rc7-desktopfiles.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       usermode-gtk
Requires:       pygtk2-libglade
Requires:       gettext
Requires:       gnome-python2
Requires:       notify-python
Requires:       fuse-python
Requires:       fuse-sshfs
Requires:       pexpect
Requires:       curlftpfs


%description
NSsbackup, shortform of Not So Simple Backup suite, 
is a backup solution for common desktop use.

It is a fork of the sbackup project, the Simple Backup suite. 
NSsbackup is basically using the same technology that Unix 
administrators have been used for decades but it adds some some 
intelligence for interaction with users within a graphical interface. 
This means dumps of files were created using the good old TAR 
but the usage is much more convenient than from a command line.


%prep
%setup -q -n %{name}-%{version}-0.orig
%patch0 -p1


%build
make %{?_smp_mflags} \
     PREFIX="%{_prefix}"

%install
rm -rf %{buildroot}

make install \
     INSTALL="install -p" \
     SETUP.PY_OPTS="--root=%{buildroot}" \
     DESTDIR="%{buildroot}/%{_prefix}" \
     PREFIX="%{_prefix}" \
     PYDIR="%{buildroot}/%{python_sitelib}"
 
chmod +x %{buildroot}/%{python_sitelib}/%{name}/ui/GladeGnomeApp.py

desktop-file-install \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
                     --dir=%{buildroot}%{_datadir}/applications \
                     %{buildroot}%{_datadir}/applications/%{name}-config-su.desktop

desktop-file-install \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
                     --dir=%{buildroot}%{_datadir}/applications \
                     %{buildroot}%{_datadir}/applications/%{name}-config.desktop

desktop-file-install \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
                     --dir=%{buildroot}%{_datadir}/applications \
                     %{buildroot}%{_datadir}/applications/%{name}-restore-su.desktop

desktop-file-install \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
                     --dir=%{buildroot}%{_datadir}/applications \
                     %{buildroot}%{_datadir}/applications/%{name}-restore.desktop

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-config-gui-su

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-restore-gui-su

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-config-gui-su
USER=root
PROGRAM=%{_sbindir}/%{name}-config-gui-su
SESSION=true
EOF

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-restore-gui-su
USER=root
PROGRAM=%{_sbindir}/%{name}-restore-gui-su
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-config-gui-su
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-restore-gui-su
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

mkdir -p %{buildroot}%{_sysconfdir}/cron.{d,daily,hourly,monthly,weekly}/
touch %{buildroot}%{_sysconfdir}/cron.{d,daily,hourly,monthly,weekly}/%{name}

%find_lang %{name}


%post
if [ $1 -eq 2 ]; then
   %{_sbindir}/%{name}config || :
fi


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING HACKING README 
%{_bindir}/%{name}*
%{_sbindir}/%{name}*
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-*-py*.egg-info/
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*
%config(noreplace) %{_sysconfdir}/pam.d/%{name}*
%config %{_sysconfdir}/security/console.apps/%{name}*
%ghost %{_sysconfdir}/cron.*/%{name}


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-0.3.rc7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.2-0.2.rc7
- Fix license tag
- Add missed Requires to the package

* Tue Mar 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.2-0.1.rc7
- New upstream release
- Customize specfile

* Mon Mar 09 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.2-0.1.rc6
- Initial Package Build
